Agent Governance Protocol
API ReferenceRegistry APITasks

Create task

POST
/agp/tasks

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Header Parameters

Idempotency-Key?string
X-Correlation-Id?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/tasks" \  -H "Content-Type: application/json" \  -d '{    "principal_id": "string",    "requested_outcome": "string",    "risk_tier": "low",    "created_at": "2019-08-24T14:15:22Z"  }'
{  "task_id": "string",  "principal_id": "string",  "requested_outcome": "string",  "risk_tier": "low",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "sponsoring_entity": "string",  "status": "CREATED",  "liability_binding_ref": "string",  "capability_token_ref": "string",  "governance_requirements": {    "required_roles": [      "executive"    ],    "quorum": 1  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}